#include <18F2520.h>
#device adc=16

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES WDT128                   //Watch Dog Timer uses 1:128 Postscale
#FUSES XT                       //Crystal osc <= 4mhz for PCM/PCH , 3mhz to 10 mhz for PCD
#FUSES NOBROWNOUT               //No brownout reset
#FUSES NOPBADEN                 //PORTB pins are configured as digital I/O on RESET
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOXINST                  //Extended set extension and Indexed Addressing mode disabled (Legacy mode)

#use delay(clock=4000000)
#define button PIN_C0

int1 var_1 = false;

#int_TIMER1
void  TIMER1_isr(void) 
{
   var_1 = true;
   set_timer1(65535);
}

void main()
{
   setup_timer_1(T1_EXTERNAL|T1_DIV_BY_1);
   setup_timer_3(T3_DISABLED | T3_DIV_BY_1);
   enable_interrupts(INT_TIMER1);
   enable_interrupts(GLOBAL);
   set_timer1(65535);

   while(TRUE)
   {
      if(var_1)
      {
         output_toggle(PIN_B0);
         var_1 = false;
      }
   }
}
